POST
/api-keys/revokeRevoke an API key
Revokes an API key, immediately deactivating it. Supply the key's apiKeyId to identify the key to revoke. The revoked key can no longer be used.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The identifier of the API key to revoke.
apiKeyIdstringrequired
ID of the API key to revoke. Immediately deactivates the key.
200Confirms that the API key was revoked.
dataunknownoptional
Response payload
statusintegeroptional
successbooleanoptional
403Returned when the authenticated user is forbidden from revoking the API key.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
apiKeyId is required and must identify the API key to revoke. A 403 is returned when the authenticated user is forbidden from revoking the API key.